set(src "src/transport.c")

if(PS1_BUILD)
    set(src ${src} "src/static.c")
elseif(SDL1_2_BUILD)
    set(src ${src} "src/heap.c")
endif()

add_library(transport ${src})
target_include_directories(transport PUBLIC "inc" PRIVATE "privinc")

if(NOT CMAKE_CROSSCOMPILING)
    enable_testing()
    add_subdirectory(test)
endif()
